Subject: Re: bug#65198: 29.1; Emacs29.1 crash in function face_for_font

From: Eli Zaretskii <[email-masked]>
Date: Fri, 11 Aug 2023 09:12:38 +0300

> From: 张云峰 <[email-masked]>
> Date: Fri, 11 Aug 2023 08:50:04 +0800
> Cc: [email-masked]
> 
> more clear GDB info:
> 
> Thread 1 "emacs" received signal SIGSEGV, Segmentation fault.
> 0x0000555555618c06 in produce_glyphless_glyph (it=0x7fffffff67d0,
> for_no_font=for_no_font@entry=false, acronym=acronym@entry=0x0) at
> xdisp.c:31791
> 31791 font = face->font ? face->font : FRAME_FONT (it->f);

Actually, this is progress: we are now crashing a bit later, while
trying to display an empty box instead of a character that has no font
and no suitable face.  To resolve this, please help me by providing
the results of the following GDB commands after Emacs crashes and GDB
kicks in:

 (gdb) p it->face_id
 (gdb) p it->c
 (gdb) p FRAME_FONT(it->f)
 (gdb) p (it->f)->output_data.x->font

Thanks.